body {
  width: 100%;
  height: 100%;
  margin: 0;
  -webkit-user-select: none;
  background-color: #ffffff;
}
.logo-top {
  position: sticky;
  z-index: 1;
  top: 0;
  padding: 12px;
  background-color: #ffffff;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.1);
  display: flex;
  align-items: center;
}
.logo-img {
  width: 50px;
  height: 50px;
  background: url(../image/logo.png) no-repeat center center;
  background-size: 100% 100%;
}
.top-text {
  display: flex;
  flex-direction: column;
}
.carousel {
  height: 100%;
  position: relative;
  margin: 10px 15px 0 15px;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.carousel-images {
  width: 100%;
  height: 100%;
  display: flex;
  transition: transform 0.5s ease-in-out;
}
.carousel-images img {
  min-width: 100%;
  height: 150px;
}
.carousel-dots {
  position: absolute;
  bottom: 10px;
  width: 100%;
  text-align: center;
}
.dot {
  display: inline-block;
  background-color: transparent;
  position: relative;
  margin: 0 8px;
  cursor: pointer;
}
.dot::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 8px;
  height: 8px;
  background-color: rgba(187, 187, 187, 0.6);
  clip-path: circle(50%);
  transform: translate(-50%, -50%);
  transition: background-color 0.3s;
}
.dot.active::before {
  width: 10px;
  height: 10px;
  background-color: rgba(0, 0, 0, 0.8);
}
.carousel-control {
  position: absolute;
  top: 50%;
  width: 40px;
  height: 40px;
  background: rgba(0, 0, 0, 0.5);
  color: rgba(255, 255, 255, 0.5);
  display: flex;
  justify-content: center;
  font-size: 26px;
  border-radius: 50%;
  transform: translateY(-50%);
}
.carousel-control:hover {
  background: rgba(0, 0, 0, 0.8);
}
.prev {
  left: 10px;
}
.next {
  right: 10px;
}
.middle {
  font-size: 45px;
  font-weight: normal;
  text-transform: uppercase;
  fill: none;
  stroke: #B0E0E6;
  stroke-width: 2px;
  stroke-dasharray: 90 310;
  animation: stroke 6s infinite linear;
}
.middle-2 {
  stroke: #FFEC8B;
  animation-delay: -1.5s;
  text-shadow: 5px 5px 5px #FFEC8B;
}
.middle-3 {
  stroke: #AEEEEE;
  animation-delay: -3s;
  text-shadow: 5px 5px 5px #7FFFD4;
}
.middle-4 {
  stroke: #EEE0E5;
  animation-delay: -4.5s;
  text-shadow: 5px 5px 5px #7FFFD4;
}
.middle-5 {
  stroke: #FFC1C1;
  animation-delay: -6s;
  text-shadow: 5px 5px 5px #7FFFD4;
}
@keyframes stroke {
  to {
  stroke-dashoffset: -400;
  }
}
.div-title {
  margin-left: 18px;
  font-size: 20px;
}
.website-list {
  margin: 15px;
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  border-radius: 5px;
}
.website-list:active {
  background-color: #f9f9f9;
}
.website-title {
  font-size: 20px;
}
.minlist {
  margin: 15px;
  text-align: center;
  white-space: nowrap;
}
.minlist img {
  width: 50px;
  height: 50px;
}